package sgc.portal.cw.cw0404.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0404.dto.CW04040001USearch;
import sgc.portal.cw.cw0404.model.CW04040001U;
import sgc.portal.cw.cw0404.service.CW04040001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0404")
public class CW04040001UController {
	
    private final CW04040001UService service;

    public CW04040001UController(CW04040001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04040001U/selectZehrCareerEmpList")
    public List<EasyHashMap<String, Object>> selectZehrCareerEmpList(@RequestBody CW04040001USearch search) {
        return service.selectZehrCareerEmpList(search);
    }
    
    @PostMapping("/CW04040001U/selectZehrCareerEmpPjtList")
    public List<EasyHashMap<String, Object>> selectZehrCareerEmpPjtList(@RequestBody CW04040001USearch search) {
        return service.selectZehrCareerEmpPjtList(search);
    }
    
    @PostMapping("/CW04040001U/saveZehrCareerEmp")
    public Map<String, String> saveZehrCareerEmp(@RequestBody List<CW04040001U> CW04040001U) {
    	return service.saveZehrCareerEmp(CW04040001U);
    }
}


